Project

General

Profile

Bug #42869

Error while loading early kernel modules

Added by Lorenzo Rosei about 2 years ago. Updated about 2 years ago.

Status:
Closed
Priority:
No priority
Assignee:
William Grzybowski
Category:
Middleware
Target version:
Seen in:
Severity:
New
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

At times, when I login, I see these errors in /var/log/messages

<118>Loading early kernel modules:
                                                                     Total Progress: [########################################] 100.00%
<118>[ENOENT] Pool nas not found
<118>Traceback (most recent call last):
<118>  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 68, in get_disks
<118>    disks = list(zfs.get(name).disks)
<118>  File "libzfs.pyx", line 370, in libzfs.ZFS.__exit__
<118>  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 68, in get_disks
<118>    disks = list(zfs.get(name).disks)
<118>  File "libzfs.pyx", line 479, in libzfs.ZFS.get
<118>libzfs.ZFSException: Pool nas not found
<118>
<118>During handling of the above exception, another exception occurred:
<118>
<118>Traceback (most recent call last):
<118>  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 154, in call_method
<118>    result = await self.middleware.call_method(self, message)
<118>  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
<118>    return self.gen.send(None)
<118>  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1013, in call_method
<118>    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
<118>  File "/usr/local/lib/python3.6/asyncio/corouti

Related issues

Is duplicate of FreeNAS - Bug #40864: Fix multipath_sync tracebacks on bootDone

History

#1 Updated by Dru Lavigne about 2 years ago

  • Assignee changed from Release Council to William Grzybowski

#2 Updated by William Grzybowski about 2 years ago

  • Status changed from Unscreened to Closed
  • Target version changed from Backlog to N/A
  • Reason for Closing set to Duplicate Issue

I believe this is a duplicated. Please report back if this keeps happening on BETA3.

#3 Updated by William Grzybowski about 2 years ago

  • Is duplicate of Bug #40864: Fix multipath_sync tracebacks on boot added

Also available in: Atom PDF